Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.conf
Class JDOConfigurationImpl

    java.lang.Object
      |
      +--com.solarmetric.conf.ConfigurationImpl
            |
            +--kodo.conf.JDOConfigurationImpl

All Implemented Interfaces:
  BeanInfo, com.solarmetric.util.Closeable, Configuration, Externalizable, JDOConfiguration, Serializable

Direct Known Subclasses:
  ClientConfigurationImpl, JDBCConfigurationImpl, XMLConfiguration

public class JDOConfigurationImpl
extends ConfigurationImpl
implements JDOConfiguration

Implementation of the `JDOConfiguration` interface.

On construction, the class will attempt to locate a default properties file called `kodo.properties` located at any top level token of the CLASSPATH. See the `ConfigurationImpl` class description for details.

See Also:
  `ConfigurationImpl`, Serialized Form

Field Summary
`protected PluginListValue` | `aggregateListenerPlugins`
`protected AggregateListener[]` | `aggregateListeners`
`protected ClassResolver` | `classResolver`
`protected PluginValue` | `classResolverPlugin`
`protected StringValue` | `connection2DriverName`
`protected StringValue` | `connection2Password`
`protected StringValue` | `connection2Properties`
`protected StringValue` | `connection2URL`
`protected StringValue` | `connection2UserName`
`protected StringValue` | `connectionDriverName`
`protected Object` | `connectionFactory`
`protected Object` | `connectionFactory2`
`protected StringValue` | `connectionFactory2Name`
`protected StringValue` | `connectionFactory2Properties`
`protected StringValue` | `connectionFactoryName`
`protected StringValue` | `connectionFactoryProperties`
`protected StringValue` | `connectionPassword`
`protected StringValue` | `connectionProperties`
`protected IntValue` | `connectionRetainMode`
`protected StringValue` | `connectionURL`
`protected StringValue` | `connectionUserName`
`protected BooleanValue` | `copyObjectIds`
`protected DataCacheManager` | `dataCacheManager`
`protected PluginListValue` | `dataCachePlugins`
`protected DataCache[]` | `dataCaches`
`protected IntValue` | `dataCacheTimeout`
`protected IntValue` | `eagerFetchMode`
`protected IntValue` | `fetchBatchSize`
`protected StringListValue` | `fetchGroups`
`protected PluginListValue` | `filterListenerPlugins`
`protected FilterListener[]` | `filterListeners`
`protected IntValue` | `flushBeforeQueries`
`protected BooleanValue` | `ignoreCache`
`protected PluginValue` | `jmxInterfacePlugin`
`protected com.solarmetric.license.License` | `license`
`protected StringValue` | `licenseKey`
`protected PluginValue` | `lockManagerPlugin`
`protected IntValue` | `lockTimeout`
`protected PluginValue` | `logFactoryPlugin`
`protected ManagedRuntime` | `managedRuntime`
`protected PluginValue` | `managedRuntimePlugin`
`protected PluginListValue` | `mbeanPlugins`
`protected javax.management.MBeanServer` | `mbeanServer`
`protected StringValue` | `mbeanServerStrategy`
`protected JDOMetaDataRepository` | `metaRepos`
`protected BooleanValue` | `multithreaded`
`protected BooleanValue` | `nontransactionalRead`
`protected BooleanValue` | `nontransactionalWrite`
`protected BooleanValue` | `optimistic`
`protected StringListValue` | `persistentClasses`
`protected PluginValue` | `pmFactoryPlugin`
`protected PluginValue` | `pmPlugin`
`protected Transport` | `pmServer`
`protected PluginValue` | `pmServerPlugin`
`protected kodo.profile.KodoProfilingAgent` | `profilingAgent`
`protected PluginValue` | `profilingAgentPlugin`
`protected com.solarmetric.profile.ProfilingHelper` | `profilingHelper`
`protected PluginValue` | `profilingHelperPlugin`
`protected com.solarmetric.profile.ProfilingInterface` | `profilingInterface`
`protected PluginValue` | `profilingInterfacePlugin`
`protected ProxyManager` | `proxyManager`
`protected PluginValue` | `proxyManagerPlugin`
`protected PluginValue` | `queryCachePlugin`
`protected Map` | `queryCompilationCache`
`protected PluginValue` | `queryCompilationCachePlugin`
`protected IntValue` | `readLockLevel`
`protected RemoteCommitEventManager` | `remoteEventManager`
`protected RemoteJMXAdaptor` | `remoteJMXAdaptor`
`protected PluginValue` | `remoteJMXAdaptorPlugin`
`protected PluginValue` | `remoteProviderPlugin`
`protected BooleanValue` | `restoreMutableValues`
`protected BooleanValue` | `restoreValues`
`protected BooleanValue` | `retainValues`
`protected BooleanValue` | `retainValuesInOptimistic`
`protected KodoTimeWatchManager` | `timeWatchManager`
`protected BooleanValue` | `transactionMode`
`protected IntValue` | `writeLockLevel`

Fields inherited from class com.solarmetric.conf.ConfigurationImpl
`logFactory`

Fields inherited from interface kodo.conf.JDOConfiguration
`LOG_DATACACHE, LOG_ENHANCE, LOG_METADATA, LOG_REMOTE, LOG_RUNTIME, LOG_TOOL, OPTION_EMBEDDED_COLLECTION_RELATION, OPTION_EMBEDDED_MAP_RELATION, OPTION_EMBEDDED_RELATION, OPTION_ID_APPLICATION, OPTION_ID_DATASTORE, OPTION_INC_FLUSH, OPTION_NONTRANS_READ, OPTION_NULL_COLLECTION, OPTION_OPTIMISTIC, OPTION_TYPE_ARRAY, OPTION_TYPE_COLLECTION, OPTION_TYPE_MAP`

Fields inherited from interface com.solarmetric.conf.Configuration
`ATTRIBUTE_ALLOWED_VALUES, ATTRIBUTE_TYPE`

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JDOConfigurationImpl()` Default constructor.
`JDOConfigurationImpl(boolean loadDefaults)` Constructor.

Method Summary
`void` | `close()` Free the resources used by this object.
`AggregateListener[]` | `getAggregateListenerInstances()` Return the query function listeners.
`String` | `getAggregateListeners()` A ','-separted list of the plugin strings of the query `AggregateListener`s to use.
`String` | `getClassResolver()` The plugin string for the `ClassResolver` to use for custom class loading.
`ClassResolver` | `getClassResolverInstance()` The `ClassResolver` to use.
`RuntimeException` | `getConfigurationException(String msg, Throwable cause)` Return an appropriate exception indicating a configuration error.
`Log` | `getConfigurationLog()` Return the log to use for configuration messages.
`String` | `getConnection2DriverName()` Class name of the non-XA connection driver.
`String` | `getConnection2Password()` The password for the non-XA data store connection.
`String` | `getConnection2Properties()` These properties provide any additional information needed to establish non-XA connections.
`String` | `getConnection2URL()` The URL for the non-XA data store connection.
`String` | `getConnection2UserName()` The user name for the non-XA data store connection.
`String` | `getConnectionDriverName()` Class name of the connection driver.
`Object` | `getConnectionFactory()` The connection factory, possibly from JNDI.
`Object` | `getConnectionFactory2()` The non-XA connection factory.
`String` | `getConnectionFactory2Name()` The name for the second data store connection factory.
`String` | `getConnectionFactory2Properties()` Configuration properties for the non-XA connection factory.
`String` | `getConnectionFactoryName()` The name for the data store connection factory.
`String` | `getConnectionFactoryProperties()` Configuration properties for the connection factory.
`String` | `getConnectionPassword()` The password for the data store connection.
`String` | `getConnectionProperties()` These properties provide any additional information needed to establish connections.
`String` | `getConnectionRetainMode()` Specifies the behavior of the persistence manager with respect to data store connections.
`int` | `getConnectionRetainModeConstant()` Return the connection retain mode as one of the following symbolic constants: `KodoPersistenceManager.CONN_RETAIN_PM` `KodoPersistenceManager.CONN_RETAIN_TRANS` `KodoPersistenceManager.CONN_RETAIN_DEMAND`
`String` | `getConnectionURL()` The URL for the data store connection.
`String` | `getConnectionUserName()` The user name for the data store connection.
`boolean` | `getCopyObjectIds()` Whether to copy identity objects before returning them to client code.
`String` | `getDataCache()` The `DataCache` to use for level-2 data store caching.
`DataCache[]` | `getDataCacheInstances()` Return the data caches specified in the DataCache plugin list string.
`DataCacheManager` | `getDataCacheManager()` The data cache manager manages this configuration's cache instances.
`int` | `getDataCacheTimeout()` Default data cache timeout.
`String` | `getEagerFetchMode()` Specifies the default eager fetch mode to use.
`int` | `getEagerFetchModeConstant()` Return the eager fetch mode as one of the following symbolic constants: `FetchConfiguration.EAGER_FETCH_NONE` `FetchConfiguration.EAGER_FETCH_SINGLE` `FetchConfiguration.EAGER_FETCH_MULTIPLE`
`int` | `getFetchBatchSize()` Get the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`String` | `getFetchGroups()` Returns a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
`String[]` | `getFetchGroupsList()` The separated list of fetch groups.
`FilterListener[]` | `getFilterListenerInstances()` Return the query filter listeners.
`String` | `getFilterListeners()` A ','-separted list of the plugin strings of the query `FilterListener`s to use.
`String` | `getFlushBeforeQueries()` Returns whether or not Kodo should automatically flush modifications to the data store before executing queries.
`int` | `getFlushBeforeQueriesConstant()` Returns one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`, as determined by parsing the string returned by `getFlushBeforeQueries()`.
`boolean` | `getIgnoreCache()` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`String` | `getJMXInterface()` Get the JMXInterface plugin string.
`com.solarmetric.license.License` | `getLicense()` Return the license for the set license key.
`String` | `getLicenseKey()` The license key for Kodo.
`String` | `getLockManager()` The plugin to use for datastore lock management.
`int` | `getLockTimeout()` The time to wait for an object lock in milliseconds, or -1 for no timeout.
`String` | `getLog()` Get the log configuration string to use.
`LogFactory` | `getLogFactory()` The log factory.
`String` | `getManagedRuntime()` The plugin string for the `ManagedRuntime` to use for managed environments.
`ManagedRuntime` | `getManagedRuntimeInstance()` The plugin to use for integrating with a managed runtime.
`String` | `getMBeans()` Get the MBeans plugin string.
`javax.management.MBeanServer` | `getMBeanServer()` Get the MBeanServer instance associated with this configuration.
`String` | `getMBeanServerStrategy()` Get the MBeanServerStrategy string.
`JDOMetaDataRepository` | `getMetaDataRepository()` The metadata repository of managed class information.
`boolean` | `getMultithreaded()` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalRead()` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getNontransactionalWrite()` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getOptimistic()` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`String` | `getPersistenceManagerFactoryClass()` The `PersistenceManagerFactory` class name.
`String` | `getPersistenceManagerImpl()` The plugin string of the `PersistenceManagerImpl` extension to create.
`String` | `getPersistenceManagerServer()` Plugin string describing whether and how this factory will act as a server to remote persistence managers.
`Transport` | `getPersistenceManagerServerInstance()` The transport layer for remote persistence manager clients.
`String` | `getPersistentClasses()` A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
`String[]` | `getPersistentClassesList()` The separated persistent class names.
`protected String` | `getProductName()` Return the product name.
`String` | `getProfilingAgent()` Get the ProfilingAgent plugin string.
`kodo.profile.KodoProfilingAgent` | `getProfilingAgentInstance()` Get the KodoProfilingAgent instance associated with this configuration.
`String` | `getProfilingHelper()` Get the ProfilingHelper plugin string.
`com.solarmetric.profile.ProfilingHelper` | `getProfilingHelperInstance()` Get the ProfilingHelper instance.
`String` | `getProfilingInterface()` Get the ProfilingInterface plugin string.
`String` | `getProxyManager()` The plugin string for the `ProxyManager` to use for second class object proxies.
`ProxyManager` | `getProxyManagerInstance()` The `ProxyManager` to use.
`String` | `getQueryCache()` The plugin to use for level-2 data store query caching.
`String` | `getQueryCompilationCache()` The plugin to use for caching of query compilation data.
`Map` | `getQueryCompilationCacheInstance()` Return the `Map` to use in caching query compilation data using the configured plugin settings.
`String` | `getReadLockLevel()` The default read lock level to use during non-optimistic transactions.
`int` | `getReadLockLevelConstant()` The numeric read lock level.
`RemoteCommitEventManager` | `getRemoteCommitEventManager()` The remote event manager that manages this configuration's remote event listeners.
`String` | `getRemoteCommitProvider()` The plugin to use for remote commit notification.
`String` | `getRemoteJMXAdaptor()` Get the RemoteJMXAdaptor plugin string.
`boolean` | `getRestoreMutableValues()` Whether mutable second class objects are restored on rollback.
`boolean` | `getRestoreValues()` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getRetainValues()` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`boolean` | `getRetainValuesInOptimistic()` Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction.
`KodoTimeWatchManager` | `getTimeWatchManager()` Get the TimeWatch Watchable for this configuration.
`String` | `getTransactionMode()` Specifies the behavior of the transaction model.
`String` | `getWriteLockLevel()` The default write lock level to use during non-optimistic transactions.
`int` | `getWriteLockLevelConstant()` The numeric write lock level.
`protected boolean` | `isInvalidProperty(String propName)` Returns true if the specified property name should raise a warning if it is not found in the list of known properties.
`boolean` | `isTransactionModeManaged()` Return whether managed transactions are being used.
`DataCache` | `newDataCacheInstance()` Return a new data cache instance using the configured plugin settings.
`LockManager` | `newLockManagerInstance()` Return a new lock manager instance using the configured plugin settings.
`PersistenceManagerImpl` | `newPersistenceManagerImplInstance()` Create a new persistence manager instance with the configured plugin data.
`QueryCache` | `newQueryCacheInstance()` Return a new query cache instance using the configured plugin settings.
`RemoteCommitProvider` | `newRemoteCommitProviderInstance()` Create a remote commit provider from the configured plugin.
`void` | `setAggregateListeners(AggregateListener[] listeners)` Set the query function listeners.
`void` | `setAggregateListeners(String aggregateListeners)` A ','-separted list of the plugin strings of the query `AggregateListener`s to use.
`void` | `setClassResolver(ClassResolver classResolver)` The `ClassResolver` to use.
`void` | `setClassResolver(String classResolver)` The plugin string for the `ClassResolver` to use for custom class loading.
`void` | `setConnection2DriverName(String driverName)` Class name of the non-XA connection driver.
`void` | `setConnection2Password(String connection2Password)` The password for the non-XA data store connection.
`void` | `setConnection2Properties(String connection2Properties)` These properties provide any additional information needed to establish non-XA connections.
`void` | `setConnection2URL(String connection2URL)` The URL for the non-XA data store connection.
`void` | `setConnection2UserName(String connection2UserName)` The user name for the non-XA data store connection.
`void` | `setConnectionDriverName(String driverName)` Class name of the connection driver.
`void` | `setConnectionFactory(Object connectionFactory)` The connection factory.
`void` | `setConnectionFactory2(Object factory)` The non-XA connection factory.
`void` | `setConnectionFactory2Name(String connectionFactory2Name)` The name for the second data store connection factory.
`void` | `setConnectionFactory2Properties(String connectionFactory2Properties)` Configuration properties for the non-XA connection factory.
`void` | `setConnectionFactoryName(String connectionFactoryName)` The name for the data store connection factory.
`void` | `setConnectionFactoryProperties(String connectionFactoryProperties)` Configuration properties for the connection factory.
`void` | `setConnectionPassword(String connectionPassword)` The password for the data store connection.
`void` | `setConnectionProperties(String connectionProperties)` These properties provide any additional information needed to establish connections.
`void` | `setConnectionRetainMode(int connectionRetainMode)` Set the connection retain mode as one of the following symbolic constants: `KodoPersistenceManager.CONN_RETAIN_PM` `KodoPersistenceManager.CONN_RETAIN_TRANS` `KodoPersistenceManager.CONN_RETAIN_DEMAND`
`void` | `setConnectionRetainMode(String connectionRetainMode)` Specifies the behavior of the persistence manager with respect to data store connections.
`void` | `setConnectionURL(String connectionURL)` The URL for the data store connection.
`void` | `setConnectionUserName(String connectionUserName)` The user name for the data store connection.
`void` | `setCopyObjectIds(boolean copy)` Whether to copy identity objects before returning them to client code.
`void` | `setCopyObjectIds(Boolean copy)` Whether to copy identity objects before returning them to client code.
`void` | `setDataCache(String dataCache)` The `DataCache` to use for level-2 data store caching.
`void` | `setDataCacheManager(DataCacheManager dataCacheManager)` The data cache manager manages this configuration's cache instances.
`void` | `setDataCacheTimeout(int dataCacheTimeout)` Default data cache timeout.
`void` | `setDataCacheTimeout(Integer dataCacheTimeout)` Wrapper for JCA usage of `setDataCacheTimeout(int)`.
`void` | `setEagerFetchMode(int eagerFetchMode)` Set the eager fetch mode as one of the following symbolic constants: `FetchConfiguration.EAGER_FETCH_NONE` `FetchConfiguration.EAGER_FETCH_SINGLE` `FetchConfiguration.EAGER_FETCH_MULTIPLE`
`void` | `setEagerFetchMode(String eagerFetchMode)` Specifies the default eager fetch mode to use.
`void` | `setFetchBatchSize(int fetchBatchSize)` Set the size of the batch that will be pre-selected when accessing elements in a query or relationship.
`void` | `setFetchBatchSize(Integer fetchBatchSize)` Wrapper for JCA usage of `setFetchBatchSize(int)`.
`void` | `setFetchGroups(String fetchGroups)` Sets a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
`void` | `setFetchGroups(String[] fetchGroups)` The separated list of fetch groups.
`void` | `setFilterListeners(FilterListener[] listeners)` Set the query filter listeners.
`void` | `setFilterListeners(String filterListeners)` A ','-separted list of the plugin strings of the query `FilterListener`s to use.
`void` | `setFlushBeforeQueries(int flush)` Set to one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`.
`void` | `setFlushBeforeQueries(String flush)` Sets whether or not Kodo should automatically flush modifications to the data store before executing queries.
`void` | `setIgnoreCache(boolean ignoreCache)` The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
`void` | `setIgnoreCache(Boolean ignoreCache)` Wrapper for JCA usage of `setIgnoreCache(boolean)`.
`void` | `setJMXInterface(String jmxInterface)` Set the JMXInterface plugin string.
`void` | `setLicenseKey(String licenseKey)` The license key for Kodo.
`void` | `setLockManager(String lockManager)` The plugin to use for datastore lock management.
`void` | `setLockTimeout(int timeout)` The time to wait for an object lock in milliseconds, or -1 for no timeout.
`void` | `setLockTimeout(Integer timeout)` Wrapper for JCA usage of `setLockTimeout(int)`.
`void` | `setLog(String log)` Set the log plugin string to use.
`void` | `setManagedRuntime(ManagedRuntime managedRuntime)` The plugin to use for integrating with a managed runtime.
`void` | `setManagedRuntime(String managedRuntime)` The plugin string for the `ManagedRuntime` to use for managed environments.
`void` | `setMBeans(String mbeans)` Set the MBeans plugin string.
`void` | `setMBeanServerStrategy(String mbeanServerStrategy)` Set the MBeanServerStrategy string.
`void` | `setMetaDataRepository(JDOMetaDataRepository metaRepos)` The metadata repository of managed class information.
`void` | `setMultithreaded(boolean multithreaded)` The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
`void` | `setMultithreaded(Boolean multithreaded)` Wrapper for JCA usage of `setMultithreaded(boolean)`.
`void` | `setNontransactionalRead(boolean nontransactionalRead)` The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalRead(Boolean nontransactionalRead)` Wrapper for JCA usage of `setNontransactionalRead(boolean)`.
`void` | `setNontransactionalWrite(boolean nontransactionalWrite)` The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
`void` | `setNontransactionalWrite(Boolean nontransactionalWrite)` Wrapper for JCA usage of `setNontransactionalWrite(boolean)`.
`void` | `setOptimistic(boolean optimistic)` The default Optimistic setting for all PersistenceManager instances obtained from this factory.
`void` | `setOptimistic(Boolean optimistic)` Wrapper for JCA usage of `setOptimistic(boolean)`.
`void` | `setPersistenceManagerFactoryClass(String pmFactoryClass)` The `PersistenceManagerFactory` class name.
`void` | `setPersistenceManagerImpl(String persistenceManager)` The plugin string of the `PersistenceManagerImpl` extension to create.
`void` | `setPersistenceManagerServer(String pmServer)` Plugin string describing whether and how this factory will act as a server to remote persistence managers.
`void` | `setPersistenceManagerServer(Transport pmServer)` The transport layer for remote persistence manager clients.
`void` | `setPersistentClasses(String persistentClasses)` A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
`void` | `setPersistentClasses(String[] persistentClasses)` The separated persistent class names.
`void` | `setProfilingAgent(String profilingAgent)` Set the ProfilingAgent plugin string.
`void` | `setProfilingHelper(String profilingHelper)` Set the ProfilingHelper plugin string.
`void` | `setProfilingInterface(String profilingInterface)` Set the ProfilingInterface plugin string.
`void` | `setProxyManager(ProxyManager proxyManager)` The `ProxyManager` to use.
`void` | `setProxyManager(String proxyManager)` The plugin string for the `ProxyManager` to use for second class object proxies.
`void` | `setQueryCache(String queryCache)` The plugin to use for level-2 data store query caching.
`void` | `setQueryCompilationCache(String queryCompilationCache)` The plugin to use for caching of query compilation data.
`void` | `setReadLockLevel(int level)` The numeric read lock level.
`void` | `setReadLockLevel(String level)` The default read lock level to use during non-optimistic transactions.
`void` | `setRemoteCommitEventManager(RemoteCommitEventManager remoteEventManager)` The remote event manager that manages this configuration's remote event listeners.
`void` | `setRemoteCommitProvider(String remoteCommitProvider)` The plugin to use for remote commit notification.
`void` | `setRemoteJMXAdaptor(String remoteJMXAdaptorVal)` Set the RemoteJMXAdaptor plugin string.
`void` | `setRestoreMutableValues(boolean restore)` Whether mutable second class objects are restored on rollback.
`void` | `setRestoreMutableValues(Boolean restore)` JCA wrapper for `setRestoreMutableValues(boolean)`.
`void` | `setRestoreValues(boolean restoreValues)` The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRestoreValues(Boolean restoreValues)` Wrapper for JCA usage of `setRestoreValues(boolean)`.
`void` | `setRetainValues(boolean retainValues)` The default RetainValues setting for all PersistenceManager instances obtained from this factory.
`void` | `setRetainValues(Boolean retainValues)` Wrapper for JCA usage of `setRetainValues(boolean)`.
`void` | `setRetainValuesInOptimistic(boolean retain)` Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction.
`void` | `setRetainValuesInOptimistic(Boolean retain)` JCA wrapper for `setRetainValuesInOptimistic(boolean)`.
`void` | `setTransactionMode(String transactionMode)` Specifies the behavior of the transaction model.
`void` | `setTransactionModeManaged(boolean managed)` Set whether managed transactions are being used.
`void` | `setWriteLockLevel(int level)` The numeric write lock level.
`void` | `setWriteLockLevel(String level)` The default write lock level to use during non-optimistic transactions.
`Collection` | `supportedOptions()` Return the set of JDO and Kodo option strings supported by this runtime.

Methods inherited from class com.solarmetric.conf.ConfigurationImpl
`addBoolean, addDouble, addInt, addPlugin, addPluginList, addString, addStringList, addValue, assertNotFrozen, equals, fromProperties, fromStream, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getLog, getMethodDescriptors, getPropertyDescriptors, getValue, getValues, hashCode, isCaching, isFrozen, loadDefaults, readExternal, setCaching, setFrozen, setLogFactory, setProperties, setPropertiesFile, toProperties, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.solarmetric.conf.Configuration
`fromProperties, getLog, getValue, getValues, isCaching, isFrozen, setCaching, setFrozen, setLogFactory, toProperties`

Methods inherited from interface java.beans.BeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Field Detail

### connectionFactory

    protected Object connectionFactory

### connectionFactory2

    protected Object connectionFactory2

### proxyManager

    protected ProxyManager proxyManager

### filterListeners

    protected FilterListener[] filterListeners

### aggregateListeners

    protected AggregateListener[] aggregateListeners

### metaRepos

    protected JDOMetaDataRepository metaRepos

### classResolver

    protected ClassResolver classResolver

### license

    protected com.solarmetric.license.License license

### managedRuntime

    protected ManagedRuntime managedRuntime

### remoteEventManager

    protected RemoteCommitEventManager remoteEventManager

### pmServer

    protected Transport pmServer

### timeWatchManager

    protected KodoTimeWatchManager timeWatchManager

### mbeanServer

    protected javax.management.MBeanServer mbeanServer

### dataCacheManager

    protected DataCacheManager dataCacheManager

### dataCaches

    protected DataCache[] dataCaches

### queryCompilationCache

    protected Map queryCompilationCache

### profilingAgent

    protected kodo.profile.KodoProfilingAgent profilingAgent

### profilingInterface

    protected com.solarmetric.profile.ProfilingInterface profilingInterface

### profilingHelper

    protected com.solarmetric.profile.ProfilingHelper profilingHelper

### remoteJMXAdaptor

    protected RemoteJMXAdaptor remoteJMXAdaptor

### licenseKey

    protected final StringValue licenseKey

### classResolverPlugin

    protected final PluginValue classResolverPlugin

### pmPlugin

    protected final PluginValue pmPlugin

### dataCachePlugins

    protected final PluginListValue dataCachePlugins

### dataCacheTimeout

    protected final IntValue dataCacheTimeout

### queryCachePlugin

    protected final PluginValue queryCachePlugin

### queryCompilationCachePlugin

    protected final PluginValue queryCompilationCachePlugin

### remoteProviderPlugin

    protected final PluginValue remoteProviderPlugin

### pmServerPlugin

    protected final PluginValue pmServerPlugin

### managedRuntimePlugin

    protected final PluginValue managedRuntimePlugin

### transactionMode

    protected final BooleanValue transactionMode

### connectionRetainMode

    protected final IntValue connectionRetainMode

### eagerFetchMode

    protected final IntValue eagerFetchMode

### fetchBatchSize

    protected final IntValue fetchBatchSize

### fetchGroups

    protected final StringListValue fetchGroups

### flushBeforeQueries

    protected final IntValue flushBeforeQueries

### lockTimeout

    protected final IntValue lockTimeout

### readLockLevel

    protected final IntValue readLockLevel

### writeLockLevel

    protected final IntValue writeLockLevel

### restoreMutableValues

    protected final BooleanValue restoreMutableValues

### retainValuesInOptimistic

    protected final BooleanValue retainValuesInOptimistic

### copyObjectIds

    protected final BooleanValue copyObjectIds

### filterListenerPlugins

    protected final PluginListValue filterListenerPlugins

### aggregateListenerPlugins

    protected final PluginListValue aggregateListenerPlugins

### persistentClasses

    protected final StringListValue persistentClasses

### proxyManagerPlugin

    protected final PluginValue proxyManagerPlugin

### connectionProperties

    protected final StringValue connectionProperties

### connectionFactoryProperties

    protected final StringValue connectionFactoryProperties

### connection2UserName

    protected final StringValue connection2UserName

### connection2Password

    protected final StringValue connection2Password

### connection2URL

    protected final StringValue connection2URL

### connection2DriverName

    protected final StringValue connection2DriverName

### connection2Properties

    protected final StringValue connection2Properties

### connectionFactory2Properties

    protected final StringValue connectionFactory2Properties

### pmFactoryPlugin

    protected final PluginValue pmFactoryPlugin

### optimistic

    protected final BooleanValue optimistic

### retainValues

    protected final BooleanValue retainValues

### restoreValues

    protected final BooleanValue restoreValues

### ignoreCache

    protected final BooleanValue ignoreCache

### nontransactionalRead

    protected final BooleanValue nontransactionalRead

### nontransactionalWrite

    protected final BooleanValue nontransactionalWrite

### multithreaded

    protected final BooleanValue multithreaded

### connectionUserName

    protected final StringValue connectionUserName

### connectionPassword

    protected final StringValue connectionPassword

### connectionURL

    protected final StringValue connectionURL

### connectionDriverName

    protected final StringValue connectionDriverName

### connectionFactoryName

    protected final StringValue connectionFactoryName

### connectionFactory2Name

    protected final StringValue connectionFactory2Name

### remoteJMXAdaptorPlugin

    protected final PluginValue remoteJMXAdaptorPlugin

### jmxInterfacePlugin

    protected final PluginValue jmxInterfacePlugin

### mbeanServerStrategy

    protected final StringValue mbeanServerStrategy

### profilingAgentPlugin

    protected final PluginValue profilingAgentPlugin

### profilingInterfacePlugin

    protected final PluginValue profilingInterfacePlugin

### lockManagerPlugin

    protected final PluginValue lockManagerPlugin

### profilingHelperPlugin

    protected final PluginValue profilingHelperPlugin

### logFactoryPlugin

    protected final PluginValue logFactoryPlugin

### mbeanPlugins

    protected final PluginListValue mbeanPlugins

Constructor Detail

### JDOConfigurationImpl

    public JDOConfigurationImpl()

  Default constructor. Attempts to load default properties from the `kodo.properties` resource.

### JDOConfigurationImpl

    public JDOConfigurationImpl(boolean loadDefaults)

  Constructor.
  Parameters:
    `loadDefaults` - whether to attempt to load the default `kodo.properties` resource

Method Detail

### getProductName

    protected String getProductName()

  Description copied from class: `ConfigurationImpl`
  Return the product name. Defaults to `solarmetric`.
  Overrides:
    `getProductName` in class `ConfigurationImpl`
  Following copied from class: `com.solarmetric.conf.ConfigurationImpl`
  See Also:
    `ConfigurationImpl.loadDefaults()`

### supportedOptions

    public Collection supportedOptions()

  Description copied from interface: `JDOConfiguration`
  Return the set of JDO and Kodo option strings supported by this runtime. This set is mutable.
  Specified by:
    `supportedOptions` in interface `JDOConfiguration`

### setLicenseKey

    public void setLicenseKey(String licenseKey)

  Description copied from interface: `JDOConfiguration`
  The license key for Kodo.
  Specified by:
    `setLicenseKey` in interface `JDOConfiguration`

### getLicenseKey

    public String getLicenseKey()

  Description copied from interface: `JDOConfiguration`
  The license key for Kodo.
  Specified by:
    `getLicenseKey` in interface `JDOConfiguration`

### getLicense

    public com.solarmetric.license.License getLicense()

  Description copied from interface: `JDOConfiguration`
  Return the license for the set license key.
  Specified by:
    `getLicense` in interface `JDOConfiguration`

### setClassResolver

    public void setClassResolver(String classResolver)

  Description copied from interface: `JDOConfiguration`
  The plugin string for the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.
  Specified by:
    `setClassResolver` in interface `JDOConfiguration`

### getClassResolver

    public String getClassResolver()

  Description copied from interface: `JDOConfiguration`
  The plugin string for the `ClassResolver` to use for custom class loading. Defaults to a spec-complicant resolution algorithm.
  Specified by:
    `getClassResolver` in interface `JDOConfiguration`

### setClassResolver

    public void setClassResolver(ClassResolver classResolver)

  Description copied from interface: `JDOConfiguration`
  The `ClassResolver` to use.
  Specified by:
    `setClassResolver` in interface `JDOConfiguration`

### getClassResolverInstance

    public ClassResolver getClassResolverInstance()

  Description copied from interface: `JDOConfiguration`
  The `ClassResolver` to use.
  Specified by:
    `getClassResolverInstance` in interface `JDOConfiguration`

### setPersistenceManagerImpl

    public void setPersistenceManagerImpl(String persistenceManager)

  Description copied from interface: `JDOConfiguration`
  The plugin string of the `PersistenceManagerImpl` extension to create.
  Specified by:
    `setPersistenceManagerImpl` in interface `JDOConfiguration`

### getPersistenceManagerImpl

    public String getPersistenceManagerImpl()

  Description copied from interface: `JDOConfiguration`
  The plugin string of the `PersistenceManagerImpl` extension to create.
  Specified by:
    `getPersistenceManagerImpl` in interface `JDOConfiguration`

### newPersistenceManagerImplInstance

    public PersistenceManagerImpl newPersistenceManagerImplInstance()

  Description copied from interface: `JDOConfiguration`
  Create a new persistence manager instance with the configured plugin data.
  Specified by:
    `newPersistenceManagerImplInstance` in interface `JDOConfiguration`

### setDataCache

    public void setDataCache(String dataCache)

  Description copied from interface: `JDOConfiguration`
  The `DataCache` to use for level-2 data store caching.
  Specified by:
    `setDataCache` in interface `JDOConfiguration`

### getDataCache

    public String getDataCache()

  Description copied from interface: `JDOConfiguration`
  The `DataCache` to use for level-2 data store caching.
  Specified by:
    `getDataCache` in interface `JDOConfiguration`

### getDataCacheInstances

    public DataCache[] getDataCacheInstances()

  Description copied from interface: `JDOConfiguration`
  Return the data caches specified in the DataCache plugin list string.
  Specified by:
    `getDataCacheInstances` in interface `JDOConfiguration`

### newDataCacheInstance

    public DataCache newDataCacheInstance()

  Description copied from interface: `JDOConfiguration`
  Return a new data cache instance using the configured plugin settings.
  Specified by:
    `newDataCacheInstance` in interface `JDOConfiguration`

### setDataCacheTimeout

    public void setDataCacheTimeout(int dataCacheTimeout)

  Description copied from interface: `JDOConfiguration`
  Default data cache timeout.
  Specified by:
    `setDataCacheTimeout` in interface `JDOConfiguration`

### setDataCacheTimeout

    public void setDataCacheTimeout(Integer dataCacheTimeout)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setDataCacheTimeout(int)`.
  Specified by:
    `setDataCacheTimeout` in interface `JDOConfiguration`

### getDataCacheTimeout

    public int getDataCacheTimeout()

  Description copied from interface: `JDOConfiguration`
  Default data cache timeout.
  Specified by:
    `getDataCacheTimeout` in interface `JDOConfiguration`

### setQueryCache

    public void setQueryCache(String queryCache)

  Description copied from interface: `JDOConfiguration`
  The plugin to use for level-2 data store query caching.
  Specified by:
    `setQueryCache` in interface `JDOConfiguration`

### getQueryCache

    public String getQueryCache()

  Description copied from interface: `JDOConfiguration`
  The plugin to use for level-2 data store query caching.
  Specified by:
    `getQueryCache` in interface `JDOConfiguration`

### newQueryCacheInstance

    public QueryCache newQueryCacheInstance()

  Description copied from interface: `JDOConfiguration`
  Return a new query cache instance using the configured plugin settings.
  Specified by:
    `newQueryCacheInstance` in interface `JDOConfiguration`

### setQueryCompilationCache

    public void setQueryCompilationCache(String queryCompilationCache)

  Description copied from interface: `JDOConfiguration`
  The plugin to use for caching of query compilation data.
  Specified by:
    `setQueryCompilationCache` in interface `JDOConfiguration`

### getQueryCompilationCache

    public String getQueryCompilationCache()

  Description copied from interface: `JDOConfiguration`
  The plugin to use for caching of query compilation data.
  Specified by:
    `getQueryCompilationCache` in interface `JDOConfiguration`

### getQueryCompilationCacheInstance

    public Map getQueryCompilationCacheInstance()

  Description copied from interface: `JDOConfiguration`
  Return the `Map` to use in caching query compilation data using the configured plugin settings.
  Specified by:
    `getQueryCompilationCacheInstance` in interface `JDOConfiguration`

### setLockManager

    public void setLockManager(String lockManager)

  Description copied from interface: `JDOConfiguration`
  The plugin to use for datastore lock management.
  Specified by:
    `setLockManager` in interface `JDOConfiguration`

### getLockManager

    public String getLockManager()

  Description copied from interface: `JDOConfiguration`
  The plugin to use for datastore lock management.
  Specified by:
    `getLockManager` in interface `JDOConfiguration`

### newLockManagerInstance

    public LockManager newLockManagerInstance()

  Description copied from interface: `JDOConfiguration`
  Return a new lock manager instance using the configured plugin settings.
  Specified by:
    `newLockManagerInstance` in interface `JDOConfiguration`

### setRemoteCommitProvider

    public void setRemoteCommitProvider(String remoteCommitProvider)

  Description copied from interface: `JDOConfiguration`
  The plugin to use for remote commit notification.
  Specified by:
    `setRemoteCommitProvider` in interface `JDOConfiguration`

### getRemoteCommitProvider

    public String getRemoteCommitProvider()

  Description copied from interface: `JDOConfiguration`
  The plugin to use for remote commit notification.
  Specified by:
    `getRemoteCommitProvider` in interface `JDOConfiguration`

### newRemoteCommitProviderInstance

    public RemoteCommitProvider newRemoteCommitProviderInstance()

  Description copied from interface: `JDOConfiguration`
  Create a remote commit provider from the configured plugin.
  Specified by:
    `newRemoteCommitProviderInstance` in interface `JDOConfiguration`

### setPersistenceManagerServer

    public void setPersistenceManagerServer(String pmServer)

  Description copied from interface: `JDOConfiguration`
  Plugin string describing whether and how this factory will act as a server to remote persistence managers.
  Specified by:
    `setPersistenceManagerServer` in interface `JDOConfiguration`

### getPersistenceManagerServer

    public String getPersistenceManagerServer()

  Description copied from interface: `JDOConfiguration`
  Plugin string describing whether and how this factory will act as a server to remote persistence managers.
  Specified by:
    `getPersistenceManagerServer` in interface `JDOConfiguration`

### getPersistenceManagerServerInstance

    public Transport getPersistenceManagerServerInstance()

  Description copied from interface: `JDOConfiguration`
  The transport layer for remote persistence manager clients.
  Specified by:
    `getPersistenceManagerServerInstance` in interface `JDOConfiguration`

### setPersistenceManagerServer

    public void setPersistenceManagerServer(Transport pmServer)

  Description copied from interface: `JDOConfiguration`
  The transport layer for remote persistence manager clients.
  Specified by:
    `setPersistenceManagerServer` in interface `JDOConfiguration`

### setTransactionMode

    public void setTransactionMode(String transactionMode)

  Description copied from interface: `JDOConfiguration`
  Specifies the behavior of the transaction model. Possible values are:
  - `local`: Perform transaction operations locally.
  - `managed`: Use managed environment's global transactions.
  Specified by:
    `setTransactionMode` in interface `JDOConfiguration`

### getTransactionMode

    public String getTransactionMode()

  Description copied from interface: `JDOConfiguration`
  Specifies the behavior of the transaction model. Possible values are:
  - `local`: Perform transaction operations locally.
  - `managed`: Use managed environment's global transactions.
  Specified by:
    `getTransactionMode` in interface `JDOConfiguration`

### setTransactionModeManaged

    public void setTransactionModeManaged(boolean managed)

  Description copied from interface: `JDOConfiguration`
  Set whether managed transactions are being used.
  Specified by:
    `setTransactionModeManaged` in interface `JDOConfiguration`

### isTransactionModeManaged

    public boolean isTransactionModeManaged()

  Description copied from interface: `JDOConfiguration`
  Return whether managed transactions are being used.
  Specified by:
    `isTransactionModeManaged` in interface `JDOConfiguration`

### setManagedRuntime

    public void setManagedRuntime(String managedRuntime)

  Description copied from interface: `JDOConfiguration`
  The plugin string for the `ManagedRuntime` to use for managed environments.
  Specified by:
    `setManagedRuntime` in interface `JDOConfiguration`

### getManagedRuntime

    public String getManagedRuntime()

  Description copied from interface: `JDOConfiguration`
  The plugin string for the `ManagedRuntime` to use for managed environments.
  Specified by:
    `getManagedRuntime` in interface `JDOConfiguration`

### setManagedRuntime

    public void setManagedRuntime(ManagedRuntime managedRuntime)

  Description copied from interface: `JDOConfiguration`
  The plugin to use for integrating with a managed runtime.
  Specified by:
    `setManagedRuntime` in interface `JDOConfiguration`

### getManagedRuntimeInstance

    public ManagedRuntime getManagedRuntimeInstance()

  Description copied from interface: `JDOConfiguration`
  The plugin to use for integrating with a managed runtime.
  Specified by:
    `getManagedRuntimeInstance` in interface `JDOConfiguration`

### setProxyManager

    public void setProxyManager(String proxyManager)

  Description copied from interface: `JDOConfiguration`
  The plugin string for the `ProxyManager` to use for second class object proxies.
  Specified by:
    `setProxyManager` in interface `JDOConfiguration`

### getProxyManager

    public String getProxyManager()

  Description copied from interface: `JDOConfiguration`
  The plugin string for the `ProxyManager` to use for second class object proxies.
  Specified by:
    `getProxyManager` in interface `JDOConfiguration`

### setProxyManager

    public void setProxyManager(ProxyManager proxyManager)

  Description copied from interface: `JDOConfiguration`
  The `ProxyManager` to use.
  Specified by:
    `setProxyManager` in interface `JDOConfiguration`

### getProxyManagerInstance

    public ProxyManager getProxyManagerInstance()

  Description copied from interface: `JDOConfiguration`
  The `ProxyManager` to use.
  Specified by:
    `getProxyManagerInstance` in interface `JDOConfiguration`

### setConnectionProperties

    public void setConnectionProperties(String connectionProperties)

  Description copied from interface: `JDOConfiguration`
  These properties provide any additional information needed to establish connections.
  Specified by:
    `setConnectionProperties` in interface `JDOConfiguration`

### getConnectionProperties

    public String getConnectionProperties()

  Description copied from interface: `JDOConfiguration`
  These properties provide any additional information needed to establish connections.
  Specified by:
    `getConnectionProperties` in interface `JDOConfiguration`

### setConnectionFactoryProperties

    public void setConnectionFactoryProperties(String connectionFactoryProperties)

  Description copied from interface: `JDOConfiguration`
  Configuration properties for the connection factory.
  Specified by:
    `setConnectionFactoryProperties` in interface `JDOConfiguration`

### getConnectionFactoryProperties

    public String getConnectionFactoryProperties()

  Description copied from interface: `JDOConfiguration`
  Configuration properties for the connection factory.
  Specified by:
    `getConnectionFactoryProperties` in interface `JDOConfiguration`

### setConnection2UserName

    public void setConnection2UserName(String connection2UserName)

  Description copied from interface: `JDOConfiguration`
  The user name for the non-XA data store connection.
  Specified by:
    `setConnection2UserName` in interface `JDOConfiguration`

### getConnection2UserName

    public String getConnection2UserName()

  Description copied from interface: `JDOConfiguration`
  The user name for the non-XA data store connection.
  Specified by:
    `getConnection2UserName` in interface `JDOConfiguration`

### setConnection2Password

    public void setConnection2Password(String connection2Password)

  Description copied from interface: `JDOConfiguration`
  The password for the non-XA data store connection.
  Specified by:
    `setConnection2Password` in interface `JDOConfiguration`

### getConnection2Password

    public String getConnection2Password()

  Description copied from interface: `JDOConfiguration`
  The password for the non-XA data store connection.
  Specified by:
    `getConnection2Password` in interface `JDOConfiguration`

### setConnection2URL

    public void setConnection2URL(String connection2URL)

  Description copied from interface: `JDOConfiguration`
  The URL for the non-XA data store connection.
  Specified by:
    `setConnection2URL` in interface `JDOConfiguration`

### getConnection2URL

    public String getConnection2URL()

  Description copied from interface: `JDOConfiguration`
  The URL for the non-XA data store connection.
  Specified by:
    `getConnection2URL` in interface `JDOConfiguration`

### setConnection2DriverName

    public void setConnection2DriverName(String driverName)

  Description copied from interface: `JDOConfiguration`
  Class name of the non-XA connection driver.
  Specified by:
    `setConnection2DriverName` in interface `JDOConfiguration`

### getConnection2DriverName

    public String getConnection2DriverName()

  Description copied from interface: `JDOConfiguration`
  Class name of the non-XA connection driver.
  Specified by:
    `getConnection2DriverName` in interface `JDOConfiguration`

### setConnection2Properties

    public void setConnection2Properties(String connection2Properties)

  Description copied from interface: `JDOConfiguration`
  These properties provide any additional information needed to establish non-XA connections.
  Specified by:
    `setConnection2Properties` in interface `JDOConfiguration`

### getConnection2Properties

    public String getConnection2Properties()

  Description copied from interface: `JDOConfiguration`
  These properties provide any additional information needed to establish non-XA connections.
  Specified by:
    `getConnection2Properties` in interface `JDOConfiguration`

### setConnectionFactory2Properties

    public void setConnectionFactory2Properties(String connectionFactory2Properties)

  Description copied from interface: `JDOConfiguration`
  Configuration properties for the non-XA connection factory.
  Specified by:
    `setConnectionFactory2Properties` in interface `JDOConfiguration`

### getConnectionFactory2Properties

    public String getConnectionFactory2Properties()

  Description copied from interface: `JDOConfiguration`
  Configuration properties for the non-XA connection factory.
  Specified by:
    `getConnectionFactory2Properties` in interface `JDOConfiguration`

### setPersistenceManagerFactoryClass

    public void setPersistenceManagerFactoryClass(String pmFactoryClass)

  Description copied from interface: `JDOConfiguration`
  The `PersistenceManagerFactory` class name.
  Specified by:
    `setPersistenceManagerFactoryClass` in interface `JDOConfiguration`

### getPersistenceManagerFactoryClass

    public String getPersistenceManagerFactoryClass()

  Description copied from interface: `JDOConfiguration`
  The `PersistenceManagerFactory` class name.
  Specified by:
    `getPersistenceManagerFactoryClass` in interface `JDOConfiguration`

### setOptimistic

    public void setOptimistic(boolean optimistic)

  Description copied from interface: `JDOConfiguration`
  The default Optimistic setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `setOptimistic` in interface `JDOConfiguration`

### setOptimistic

    public void setOptimistic(Boolean optimistic)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setOptimistic(boolean)`.
  Specified by:
    `setOptimistic` in interface `JDOConfiguration`

### getOptimistic

    public boolean getOptimistic()

  Description copied from interface: `JDOConfiguration`
  The default Optimistic setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `getOptimistic` in interface `JDOConfiguration`

### setRetainValues

    public void setRetainValues(boolean retainValues)

  Description copied from interface: `JDOConfiguration`
  The default RetainValues setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `setRetainValues` in interface `JDOConfiguration`

### setRetainValues

    public void setRetainValues(Boolean retainValues)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setRetainValues(boolean)`.
  Specified by:
    `setRetainValues` in interface `JDOConfiguration`

### getRetainValues

    public boolean getRetainValues()

  Description copied from interface: `JDOConfiguration`
  The default RetainValues setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `getRetainValues` in interface `JDOConfiguration`

### setRestoreValues

    public void setRestoreValues(boolean restoreValues)

  Description copied from interface: `JDOConfiguration`
  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `setRestoreValues` in interface `JDOConfiguration`

### setRestoreValues

    public void setRestoreValues(Boolean restoreValues)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setRestoreValues(boolean)`.
  Specified by:
    `setRestoreValues` in interface `JDOConfiguration`

### getRestoreValues

    public boolean getRestoreValues()

  Description copied from interface: `JDOConfiguration`
  The default RestoreValues setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `getRestoreValues` in interface `JDOConfiguration`

### setIgnoreCache

    public void setIgnoreCache(boolean ignoreCache)

  Description copied from interface: `JDOConfiguration`
  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `setIgnoreCache` in interface `JDOConfiguration`

### setIgnoreCache

    public void setIgnoreCache(Boolean ignoreCache)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setIgnoreCache(boolean)`.
  Specified by:
    `setIgnoreCache` in interface `JDOConfiguration`

### getIgnoreCache

    public boolean getIgnoreCache()

  Description copied from interface: `JDOConfiguration`
  The default IgnoreCache setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `getIgnoreCache` in interface `JDOConfiguration`

### setNontransactionalRead

    public void setNontransactionalRead(boolean nontransactionalRead)

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `setNontransactionalRead` in interface `JDOConfiguration`

### setNontransactionalRead

    public void setNontransactionalRead(Boolean nontransactionalRead)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setNontransactionalRead(boolean)`.
  Specified by:
    `setNontransactionalRead` in interface `JDOConfiguration`

### getNontransactionalRead

    public boolean getNontransactionalRead()

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalRead setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `getNontransactionalRead` in interface `JDOConfiguration`

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean nontransactionalWrite)

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `setNontransactionalWrite` in interface `JDOConfiguration`

### setNontransactionalWrite

    public void setNontransactionalWrite(Boolean nontransactionalWrite)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setNontransactionalWrite(boolean)`.
  Specified by:
    `setNontransactionalWrite` in interface `JDOConfiguration`

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  Description copied from interface: `JDOConfiguration`
  The default NontransactionalWrite setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `getNontransactionalWrite` in interface `JDOConfiguration`

### setMultithreaded

    public void setMultithreaded(boolean multithreaded)

  Description copied from interface: `JDOConfiguration`
  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `setMultithreaded` in interface `JDOConfiguration`

### setMultithreaded

    public void setMultithreaded(Boolean multithreaded)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setMultithreaded(boolean)`.
  Specified by:
    `setMultithreaded` in interface `JDOConfiguration`

### getMultithreaded

    public boolean getMultithreaded()

  Description copied from interface: `JDOConfiguration`
  The default Multithreaded setting for all PersistenceManager instances obtained from this factory.
  Specified by:
    `getMultithreaded` in interface `JDOConfiguration`

### setConnectionUserName

    public void setConnectionUserName(String connectionUserName)

  Description copied from interface: `JDOConfiguration`
  The user name for the data store connection.
  Specified by:
    `setConnectionUserName` in interface `JDOConfiguration`

### getConnectionUserName

    public String getConnectionUserName()

  Description copied from interface: `JDOConfiguration`
  The user name for the data store connection.
  Specified by:
    `getConnectionUserName` in interface `JDOConfiguration`

### setConnectionPassword

    public void setConnectionPassword(String connectionPassword)

  Description copied from interface: `JDOConfiguration`
  The password for the data store connection.
  Specified by:
    `setConnectionPassword` in interface `JDOConfiguration`

### getConnectionPassword

    public String getConnectionPassword()

  Description copied from interface: `JDOConfiguration`
  The password for the data store connection.
  Specified by:
    `getConnectionPassword` in interface `JDOConfiguration`

### setConnectionURL

    public void setConnectionURL(String connectionURL)

  Description copied from interface: `JDOConfiguration`
  The URL for the data store connection.
  Specified by:
    `setConnectionURL` in interface `JDOConfiguration`

### getConnectionURL

    public String getConnectionURL()

  Description copied from interface: `JDOConfiguration`
  The URL for the data store connection.
  Specified by:
    `getConnectionURL` in interface `JDOConfiguration`

### setConnectionDriverName

    public void setConnectionDriverName(String driverName)

  Description copied from interface: `JDOConfiguration`
  Class name of the connection driver.
  Specified by:
    `setConnectionDriverName` in interface `JDOConfiguration`

### getConnectionDriverName

    public String getConnectionDriverName()

  Description copied from interface: `JDOConfiguration`
  Class name of the connection driver.
  Specified by:
    `getConnectionDriverName` in interface `JDOConfiguration`

### setConnectionFactoryName

    public void setConnectionFactoryName(String connectionFactoryName)

  Description copied from interface: `JDOConfiguration`
  The name for the data store connection factory.
  Specified by:
    `setConnectionFactoryName` in interface `JDOConfiguration`

### getConnectionFactoryName

    public String getConnectionFactoryName()

  Description copied from interface: `JDOConfiguration`
  The name for the data store connection factory.
  Specified by:
    `getConnectionFactoryName` in interface `JDOConfiguration`

### setConnectionFactory

    public void setConnectionFactory(Object connectionFactory)

  Description copied from interface: `JDOConfiguration`
  The connection factory.
  Specified by:
    `setConnectionFactory` in interface `JDOConfiguration`

### getConnectionFactory

    public Object getConnectionFactory()

  Description copied from interface: `JDOConfiguration`
  The connection factory, possibly from JNDI.
  Specified by:
    `getConnectionFactory` in interface `JDOConfiguration`

### setConnectionFactory2Name

    public void setConnectionFactory2Name(String connectionFactory2Name)

  Description copied from interface: `JDOConfiguration`
  The name for the second data store connection factory.
  Specified by:
    `setConnectionFactory2Name` in interface `JDOConfiguration`

### getConnectionFactory2Name

    public String getConnectionFactory2Name()

  Description copied from interface: `JDOConfiguration`
  The name for the second data store connection factory.
  Specified by:
    `getConnectionFactory2Name` in interface `JDOConfiguration`

### setConnectionFactory2

    public void setConnectionFactory2(Object factory)

  Description copied from interface: `JDOConfiguration`
  The non-XA connection factory.
  Specified by:
    `setConnectionFactory2` in interface `JDOConfiguration`

### getConnectionFactory2

    public Object getConnectionFactory2()

  Description copied from interface: `JDOConfiguration`
  The non-XA connection factory.
  Specified by:
    `getConnectionFactory2` in interface `JDOConfiguration`

### setEagerFetchMode

    public void setEagerFetchMode(String eagerFetchMode)

  Description copied from interface: `JDOConfiguration`
  Specifies the default eager fetch mode to use. Defaults to `multiple`. Possible values are:
  - `none`: When querying for an object, do not try to select for related objects at the same time.
  - `single`: When querying for objects, also select for 1-1 relations in the configured fetch groups when efficient.
  - `multiple`: When querying for objects, also select for all relations in the configured fetch groups when efficient.
  Specified by:
    `setEagerFetchMode` in interface `JDOConfiguration`

### getEagerFetchMode

    public String getEagerFetchMode()

  Description copied from interface: `JDOConfiguration`
  Specifies the default eager fetch mode to use. Defaults to `multiple` unless the query is by-oid. Possible values are:
  - `none`: When querying for an object, do not try to select for related objects at the same time.
  - `single`: When querying for objects, also select for 1-1 relations in the configured fetch groups when efficient.
  - `multiple`: When querying for objects, also select for all relations in the configured fetch groups when efficient.
  Specified by:
    `getEagerFetchMode` in interface `JDOConfiguration`

### setEagerFetchMode

    public void setEagerFetchMode(int eagerFetchMode)

  Description copied from interface: `JDOConfiguration`
  Set the eager fetch mode as one of the following symbolic constants:
  - `FetchConfiguration.EAGER_FETCH_NONE`
  - `FetchConfiguration.EAGER_FETCH_SINGLE`
  - `FetchConfiguration.EAGER_FETCH_MULTIPLE`
  Specified by:
    `setEagerFetchMode` in interface `JDOConfiguration`

### getEagerFetchModeConstant

    public int getEagerFetchModeConstant()

  Description copied from interface: `JDOConfiguration`
  Return the eager fetch mode as one of the following symbolic constants:
  - `FetchConfiguration.EAGER_FETCH_NONE`
  - `FetchConfiguration.EAGER_FETCH_SINGLE`
  - `FetchConfiguration.EAGER_FETCH_MULTIPLE`
  Specified by:
    `getEagerFetchModeConstant` in interface `JDOConfiguration`

### setFetchBatchSize

    public void setFetchBatchSize(int fetchBatchSize)

  Description copied from interface: `JDOConfiguration`
  Set the size of the batch that will be pre-selected when accessing elements in a query or relationship. Use -1 to prefetch all results.
  Specified by:
    `setFetchBatchSize` in interface `JDOConfiguration`

### setFetchBatchSize

    public void setFetchBatchSize(Integer fetchBatchSize)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setFetchBatchSize(int)`.
  Specified by:
    `setFetchBatchSize` in interface `JDOConfiguration`

### getFetchBatchSize

    public int getFetchBatchSize()

  Description copied from interface: `JDOConfiguration`
  Get the size of the batch that will be pre-selected when accessing elements in a query or relationship. Use -1 to prefetch all results.
  Specified by:
    `getFetchBatchSize` in interface `JDOConfiguration`

### setFetchGroups

    public void setFetchGroups(String fetchGroups)

  Description copied from interface: `JDOConfiguration`
  Sets a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
  Specified by:
    `setFetchGroups` in interface `JDOConfiguration`

### getFetchGroups

    public String getFetchGroups()

  Description copied from interface: `JDOConfiguration`
  Returns a list of fetch groups with which all `PersistenceManager` objects obtained from a `PersistenceManagerFactory` should be configured.
  Specified by:
    `getFetchGroups` in interface `JDOConfiguration`

### getFetchGroupsList

    public String[] getFetchGroupsList()

  Description copied from interface: `JDOConfiguration`
  The separated list of fetch groups.
  Specified by:
    `getFetchGroupsList` in interface `JDOConfiguration`

### setFetchGroups

    public void setFetchGroups(String[] fetchGroups)

  Description copied from interface: `JDOConfiguration`
  The separated list of fetch groups.
  Specified by:
    `setFetchGroups` in interface `JDOConfiguration`

### setFlushBeforeQueries

    public void setFlushBeforeQueries(String flush)

  Description copied from interface: `JDOConfiguration`
  Sets whether or not Kodo should automatically flush modifications to the data store before executing queries. See the Kodo JDO Reference Guide for details.
  Specified by:
    `setFlushBeforeQueries` in interface `JDOConfiguration`

### getFlushBeforeQueries

    public String getFlushBeforeQueries()

  Description copied from interface: `JDOConfiguration`
  Returns whether or not Kodo should automatically flush modifications to the data store before executing queries. See the Kodo JDO Reference Guide for details.
  Specified by:
    `getFlushBeforeQueries` in interface `JDOConfiguration`

### setFlushBeforeQueries

    public void setFlushBeforeQueries(int flush)

  Description copied from interface: `JDOConfiguration`
  Set to one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`.
  Specified by:
    `setFlushBeforeQueries` in interface `JDOConfiguration`

### getFlushBeforeQueriesConstant

    public int getFlushBeforeQueriesConstant()

  Description copied from interface: `JDOConfiguration`
  Returns one of `FetchConfiguration.QUERY_FLUSH_TRUE`, `FetchConfiguration.QUERY_FLUSH_FALSE`, or `FetchConfiguration.QUERY_FLUSH_WITH_CONNECTION`, as determined by parsing the string returned by `JDOConfiguration.getFlushBeforeQueries()`.
  Specified by:
    `getFlushBeforeQueriesConstant` in interface `JDOConfiguration`

### setLockTimeout

    public void setLockTimeout(int timeout)

  Description copied from interface: `JDOConfiguration`
  The time to wait for an object lock in milliseconds, or -1 for no timeout.
  Specified by:
    `setLockTimeout` in interface `JDOConfiguration`

### setLockTimeout

    public void setLockTimeout(Integer timeout)

  Description copied from interface: `JDOConfiguration`
  Wrapper for JCA usage of `JDOConfiguration.setLockTimeout(int)`.
  Specified by:
    `setLockTimeout` in interface `JDOConfiguration`

### getLockTimeout

    public int getLockTimeout()

  Description copied from interface: `JDOConfiguration`
  The time to wait for an object lock in milliseconds, or -1 for no timeout.
  Specified by:
    `getLockTimeout` in interface `JDOConfiguration`

### setReadLockLevel

    public void setReadLockLevel(String level)

  Description copied from interface: `JDOConfiguration`
  The default read lock level to use during non-optimistic transactions. Defaults to `read`.
  Specified by:
    `setReadLockLevel` in interface `JDOConfiguration`

### getReadLockLevel

    public String getReadLockLevel()

  Description copied from interface: `JDOConfiguration`
  The default read lock level to use during non-optimistic transactions. Defaults to `read`.
  Specified by:
    `getReadLockLevel` in interface `JDOConfiguration`

### setReadLockLevel

    public void setReadLockLevel(int level)

  Description copied from interface: `JDOConfiguration`
  The numeric read lock level.
  Specified by:
    `setReadLockLevel` in interface `JDOConfiguration`

### getReadLockLevelConstant

    public int getReadLockLevelConstant()

  Description copied from interface: `JDOConfiguration`
  The numeric read lock level.
  Specified by:
    `getReadLockLevelConstant` in interface `JDOConfiguration`

### setWriteLockLevel

    public void setWriteLockLevel(String level)

  Description copied from interface: `JDOConfiguration`
  The default write lock level to use during non-optimistic transactions. Defaults to `write`.
  Specified by:
    `setWriteLockLevel` in interface `JDOConfiguration`

### getWriteLockLevel

    public String getWriteLockLevel()

  Description copied from interface: `JDOConfiguration`
  The default write lock level to use during non-optimistic transactions. Defaults to `write`.
  Specified by:
    `getWriteLockLevel` in interface `JDOConfiguration`

### setWriteLockLevel

    public void setWriteLockLevel(int level)

  Description copied from interface: `JDOConfiguration`
  The numeric write lock level.
  Specified by:
    `setWriteLockLevel` in interface `JDOConfiguration`

### getWriteLockLevelConstant

    public int getWriteLockLevelConstant()

  Description copied from interface: `JDOConfiguration`
  The numeric write lock level.
  Specified by:
    `getWriteLockLevelConstant` in interface `JDOConfiguration`

### getRestoreMutableValues

    public boolean getRestoreMutableValues()

  Description copied from interface: `JDOConfiguration`
  Whether mutable second class objects are restored on rollback. The standard JDO `javax.jdo.RestoreValues` property must also be set to true for second class values to be restored. Defaults to false.
  Specified by:
    `getRestoreMutableValues` in interface `JDOConfiguration`

### setRestoreMutableValues

    public void setRestoreMutableValues(boolean restore)

  Description copied from interface: `JDOConfiguration`
  Whether mutable second class objects are restored on rollback. The standard JDO `javax.jdo.RestoreValues` property must also be set to true for second class values to be restored. Defaults to false.
  Specified by:
    `setRestoreMutableValues` in interface `JDOConfiguration`

### setRestoreMutableValues

    public void setRestoreMutableValues(Boolean restore)

  Description copied from interface: `JDOConfiguration`
  JCA wrapper for `JDOConfiguration.setRestoreMutableValues(boolean)`.
  Specified by:
    `setRestoreMutableValues` in interface `JDOConfiguration`

### getRetainValuesInOptimistic

    public boolean getRetainValuesInOptimistic()

  Description copied from interface: `JDOConfiguration`
  Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction. The standard JDO `javax.jdo.option.RetainValues` property must also be set to true for this property to take effect. Defaults to false.
  Specified by:
    `getRetainValuesInOptimistic` in interface `JDOConfiguration`

### setRetainValuesInOptimistic

    public void setRetainValuesInOptimistic(boolean retain)

  Description copied from interface: `JDOConfiguration`
  Whether to allow nontransactional instances to retain their values when modified in an optimistic transaction. The standard JDO `javax.jdo.option.RetainValues` property must also be set to true for this property to take effect. Defaults to false.
  Specified by:
    `setRetainValuesInOptimistic` in interface `JDOConfiguration`

### setRetainValuesInOptimistic

    public void setRetainValuesInOptimistic(Boolean retain)

  Description copied from interface: `JDOConfiguration`
  JCA wrapper for `JDOConfiguration.setRetainValuesInOptimistic(boolean)`.
  Specified by:
    `setRetainValuesInOptimistic` in interface `JDOConfiguration`

### getCopyObjectIds

    public boolean getCopyObjectIds()

  Description copied from interface: `JDOConfiguration`
  Whether to copy identity objects before returning them to client code.
  Specified by:
    `getCopyObjectIds` in interface `JDOConfiguration`

### setCopyObjectIds

    public void setCopyObjectIds(boolean copy)

  Description copied from interface: `JDOConfiguration`
  Whether to copy identity objects before returning them to client code.
  Specified by:
    `setCopyObjectIds` in interface `JDOConfiguration`

### setCopyObjectIds

    public void setCopyObjectIds(Boolean copy)

  Description copied from interface: `JDOConfiguration`
  Whether to copy identity objects before returning them to client code.
  Specified by:
    `setCopyObjectIds` in interface `JDOConfiguration`

### setConnectionRetainMode

    public void setConnectionRetainMode(String connectionRetainMode)

  Description copied from interface: `JDOConfiguration`
  Specifies the behavior of the persistence manager with respect to data store connections. Possible values are:
  - `persistence-manager`: Each persistence manager obtains a single connection and uses it until the persistence manager is closed.
  - `transaction`: A connection is obtained when each transaction begines (optimistic or datastore), and is released when the transaction completes.
  - `on-demand`: Connections are obtained only when needed. This is the default mode. It is equivalent to the previous option when datastore transactions are used. For optimistic transactions, though, it means that a connection will be retained only for the duration of the data store commit process.
  Specified by:
    `setConnectionRetainMode` in interface `JDOConfiguration`

### getConnectionRetainMode

    public String getConnectionRetainMode()

  Description copied from interface: `JDOConfiguration`
  Specifies the behavior of the persistence manager with respect to data store connections. Possible values are:
  - `persistence-manager`: Each persistence manager obtains a single connection and uses it until the persistence manager is closed.
  - `transaction`: A connection is obtained when each transaction begins (optimistic or datastore), and is released when the transaction completes.
  - `on-demand`: Connections are obtained only when needed. This is the default mode. It is equivalent to the previous option when datastore transactions are used. For optimistic transactions, though, it means that a connection will be retained only for the duration of the data store commit process.
  Specified by:
    `getConnectionRetainMode` in interface `JDOConfiguration`

### setConnectionRetainMode

    public void setConnectionRetainMode(int connectionRetainMode)

  Description copied from interface: `JDOConfiguration`
  Set the connection retain mode as one of the following symbolic constants:
  - `KodoPersistenceManager.CONN_RETAIN_PM`
  - `KodoPersistenceManager.CONN_RETAIN_TRANS`
  - `KodoPersistenceManager.CONN_RETAIN_DEMAND`
  Specified by:
    `setConnectionRetainMode` in interface `JDOConfiguration`

### getConnectionRetainModeConstant

    public int getConnectionRetainModeConstant()

  Description copied from interface: `JDOConfiguration`
  Return the connection retain mode as one of the following symbolic constants:
  - `KodoPersistenceManager.CONN_RETAIN_PM`
  - `KodoPersistenceManager.CONN_RETAIN_TRANS`
  - `KodoPersistenceManager.CONN_RETAIN_DEMAND`
  Specified by:
    `getConnectionRetainModeConstant` in interface `JDOConfiguration`

### setFilterListeners

    public void setFilterListeners(String filterListeners)

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the plugin strings of the query `FilterListener`s to use.
  Specified by:
    `setFilterListeners` in interface `JDOConfiguration`

### getFilterListeners

    public String getFilterListeners()

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the plugin strings of the query `FilterListener`s to use.
  Specified by:
    `getFilterListeners` in interface `JDOConfiguration`

### setFilterListeners

    public void setFilterListeners(FilterListener[] listeners)

  Description copied from interface: `JDOConfiguration`
  Set the query filter listeners. Overrides the list of listener classes.
  Specified by:
    `setFilterListeners` in interface `JDOConfiguration`

### getFilterListenerInstances

    public FilterListener[] getFilterListenerInstances()

  Description copied from interface: `JDOConfiguration`
  Return the query filter listeners. If none have been set explicitly, this method instantiates the listeners from the set plugin list.
  Specified by:
    `getFilterListenerInstances` in interface `JDOConfiguration`

### setAggregateListeners

    public void setAggregateListeners(String aggregateListeners)

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the plugin strings of the query `AggregateListener`s to use.
  Specified by:
    `setAggregateListeners` in interface `JDOConfiguration`

### getAggregateListeners

    public String getAggregateListeners()

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the plugin strings of the query `AggregateListener`s to use.
  Specified by:
    `getAggregateListeners` in interface `JDOConfiguration`

### setAggregateListeners

    public void setAggregateListeners(AggregateListener[] listeners)

  Description copied from interface: `JDOConfiguration`
  Set the query function listeners. Overrides the list of listener classes.
  Specified by:
    `setAggregateListeners` in interface `JDOConfiguration`

### getAggregateListenerInstances

    public AggregateListener[] getAggregateListenerInstances()

  Description copied from interface: `JDOConfiguration`
  Return the query function listeners. If none have been set explicitly, this method instantiates the listeners from the set plugin list.
  Specified by:
    `getAggregateListenerInstances` in interface `JDOConfiguration`

### setPersistentClasses

    public void setPersistentClasses(String persistentClasses)

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
  Specified by:
    `setPersistentClasses` in interface `JDOConfiguration`

### getPersistentClasses

    public String getPersistentClasses()

  Description copied from interface: `JDOConfiguration`
  A ','-separted list of the class names of persistent types to register each time a persistence manager is obtained.
  Specified by:
    `getPersistentClasses` in interface `JDOConfiguration`

### setPersistentClasses

    public void setPersistentClasses(String[] persistentClasses)

  Description copied from interface: `JDOConfiguration`
  The separated persistent class names.
  Specified by:
    `setPersistentClasses` in interface `JDOConfiguration`

### getPersistentClassesList

    public String[] getPersistentClassesList()

  Description copied from interface: `JDOConfiguration`
  The separated persistent class names.
  Specified by:
    `getPersistentClassesList` in interface `JDOConfiguration`

### setMetaDataRepository

    public void setMetaDataRepository(JDOMetaDataRepository metaRepos)

  Description copied from interface: `JDOConfiguration`
  The metadata repository of managed class information.
  Specified by:
    `setMetaDataRepository` in interface `JDOConfiguration`

### getMetaDataRepository

    public JDOMetaDataRepository getMetaDataRepository()

  Description copied from interface: `JDOConfiguration`
  The metadata repository of managed class information. If no repository has been set, creates one.
  Specified by:
    `getMetaDataRepository` in interface `JDOConfiguration`

### setDataCacheManager

    public void setDataCacheManager(DataCacheManager dataCacheManager)

  Description copied from interface: `JDOConfiguration`
  The data cache manager manages this configuration's cache instances.
  Specified by:
    `setDataCacheManager` in interface `JDOConfiguration`

### getDataCacheManager

    public DataCacheManager getDataCacheManager()

  Description copied from interface: `JDOConfiguration`
  The data cache manager manages this configuration's cache instances. The cache manager is created if it has not been set.
  Specified by:
    `getDataCacheManager` in interface `JDOConfiguration`

### setRemoteCommitEventManager

    public void setRemoteCommitEventManager(RemoteCommitEventManager remoteEventManager)

  Description copied from interface: `JDOConfiguration`
  The remote event manager that manages this configuration's remote event listeners.
  Specified by:
    `setRemoteCommitEventManager` in interface `JDOConfiguration`

### getRemoteCommitEventManager

    public RemoteCommitEventManager getRemoteCommitEventManager()

  Description copied from interface: `JDOConfiguration`
  The remote event manager that manages this configuration's remote event listeners.
  Specified by:
    `getRemoteCommitEventManager` in interface `JDOConfiguration`

### setRemoteJMXAdaptor

    public void setRemoteJMXAdaptor(String remoteJMXAdaptorVal)

  Description copied from interface: `JDOConfiguration`
  Set the RemoteJMXAdaptor plugin string.
  Specified by:
    `setRemoteJMXAdaptor` in interface `JDOConfiguration`

### getRemoteJMXAdaptor

    public String getRemoteJMXAdaptor()

  Description copied from interface: `JDOConfiguration`
  Get the RemoteJMXAdaptor plugin string.
  Specified by:
    `getRemoteJMXAdaptor` in interface `JDOConfiguration`

### setJMXInterface

    public void setJMXInterface(String jmxInterface)

  Description copied from interface: `JDOConfiguration`
  Set the JMXInterface plugin string.
  Specified by:
    `setJMXInterface` in interface `JDOConfiguration`

### getJMXInterface

    public String getJMXInterface()

  Description copied from interface: `JDOConfiguration`
  Get the JMXInterface plugin string.
  Specified by:
    `getJMXInterface` in interface `JDOConfiguration`

### setMBeanServerStrategy

    public void setMBeanServerStrategy(String mbeanServerStrategy)

  Description copied from interface: `JDOConfiguration`
  Set the MBeanServerStrategy string.
  Specified by:
    `setMBeanServerStrategy` in interface `JDOConfiguration`

### getMBeanServerStrategy

    public String getMBeanServerStrategy()

  Description copied from interface: `JDOConfiguration`
  Get the MBeanServerStrategy string.
  Specified by:
    `getMBeanServerStrategy` in interface `JDOConfiguration`

### getMBeanServer

    public javax.management.MBeanServer getMBeanServer()

  Description copied from interface: `JDOConfiguration`
  Get the MBeanServer instance associated with this configuration.
  Specified by:
    `getMBeanServer` in interface `JDOConfiguration`

### getTimeWatchManager

    public KodoTimeWatchManager getTimeWatchManager()

  Description copied from interface: `JDOConfiguration`
  Get the TimeWatch Watchable for this configuration.
  Specified by:
    `getTimeWatchManager` in interface `JDOConfiguration`

### setProfilingAgent

    public void setProfilingAgent(String profilingAgent)

  Description copied from interface: `JDOConfiguration`
  Set the ProfilingAgent plugin string.
  Specified by:
    `setProfilingAgent` in interface `JDOConfiguration`

### getProfilingAgent

    public String getProfilingAgent()

  Description copied from interface: `JDOConfiguration`
  Get the ProfilingAgent plugin string.
  Specified by:
    `getProfilingAgent` in interface `JDOConfiguration`

### setProfilingInterface

    public void setProfilingInterface(String profilingInterface)

  Description copied from interface: `JDOConfiguration`
  Set the ProfilingInterface plugin string.
  Specified by:
    `setProfilingInterface` in interface `JDOConfiguration`

### getProfilingInterface

    public String getProfilingInterface()

  Description copied from interface: `JDOConfiguration`
  Get the ProfilingInterface plugin string.
  Specified by:
    `getProfilingInterface` in interface `JDOConfiguration`

### setProfilingHelper

    public void setProfilingHelper(String profilingHelper)

  Description copied from interface: `JDOConfiguration`
  Set the ProfilingHelper plugin string.
  Specified by:
    `setProfilingHelper` in interface `JDOConfiguration`

### getProfilingHelper

    public String getProfilingHelper()

  Description copied from interface: `JDOConfiguration`
  Get the ProfilingHelper plugin string.
  Specified by:
    `getProfilingHelper` in interface `JDOConfiguration`

### getProfilingHelperInstance

    public com.solarmetric.profile.ProfilingHelper getProfilingHelperInstance()

  Description copied from interface: `JDOConfiguration`
  Get the ProfilingHelper instance.
  Specified by:
    `getProfilingHelperInstance` in interface `JDOConfiguration`

### getProfilingAgentInstance

    public kodo.profile.KodoProfilingAgent getProfilingAgentInstance()

  Description copied from interface: `JDOConfiguration`
  Get the KodoProfilingAgent instance associated with this configuration.
  Specified by:
    `getProfilingAgentInstance` in interface `JDOConfiguration`

### setLog

    public void setLog(String log)

  Description copied from interface: `JDOConfiguration`
  Set the log plugin string to use.
  Specified by:
    `setLog` in interface `JDOConfiguration`

### getLog

    public String getLog()

  Description copied from interface: `JDOConfiguration`
  Get the log configuration string to use.
  Specified by:
    `getLog` in interface `JDOConfiguration`

### getLogFactory

    public LogFactory getLogFactory()

  Description copied from interface: `Configuration`
  The log factory. If no log factory has been set explicitly, this method will create one.
  Specified by:
    `getLogFactory` in interface `Configuration`
  Overrides:
    `getLogFactory` in class `ConfigurationImpl`

### setMBeans

    public void setMBeans(String mbeans)

  Description copied from interface: `JDOConfiguration`
  Set the MBeans plugin string.
  Specified by:
    `setMBeans` in interface `JDOConfiguration`

### getMBeans

    public String getMBeans()

  Description copied from interface: `JDOConfiguration`
  Get the MBeans plugin string.
  Specified by:
    `getMBeans` in interface `JDOConfiguration`

### close

    public void close()

  Description copied from interface: `Configuration`
  Free the resources used by this object.
  Specified by:
    `close` in interface `Configuration`
  Overrides:
    `close` in class `ConfigurationImpl`

### isInvalidProperty

    protected boolean isInvalidProperty(String propName)

  Description copied from class: `ConfigurationImpl`
  Returns true if the specified property name should raise a warning if it is not found in the list of known properties.
  Overrides:
    `isInvalidProperty` in class `ConfigurationImpl`

### getConfigurationLog

    public Log getConfigurationLog()

  Description copied from interface: `Configuration`
  Return the log to use for configuration messages.
  Specified by:
    `getConfigurationLog` in interface `Configuration`
  Overrides:
    `getConfigurationLog` in class `ConfigurationImpl`

### getConfigurationException

    public RuntimeException getConfigurationException(String msg,
                                                      Throwable cause)

  Description copied from interface: `Configuration`
  Return an appropriate exception indicating a configuration error. The given cause may be null.
  Specified by:
    `getConfigurationException` in interface `Configuration`
  Overrides:
    `getConfigurationException` in class `ConfigurationImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.